> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hel.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Withdrawal Config

> Updates an existing withdrawal configuration. Requires an API key with the WITHDRAWS_UPDATE permission.

<Info>
  **Note:** When using the production environment at [moonpay.hel.io](http://app.hel.io), set your API endpoint to `api.hel.io/v1` and generate API keys there. For the development environment, use `api.dev.hel.io/v1` and generate API keys from [moonpay.dev.hel.io](http://app.dev.hel.io).
</Info>


## OpenAPI

````yaml PATCH /v1/withdrawal-configs/{withdrawalConfigId}/api-key
openapi: 3.0.0
info:
  title: Helio Open API
  description: |-
    API schema and definitions for Helio API. <br/> 
          The API is using two types of Authentication, for dashboard endpoints we use <b>JSON Web Token (JWT)</b> that is generated by self custodial wallet signing a message from API.</br> 
          We also support authentication with <b>API Key and Secret</b> which can be generated on <a href='https://hel.io'>Helio dashboard</a>.
  version: 1.0.0
  contact: {}
servers:
  - description: Helio API (Mainnet)
    url: https://api.hel.io
  - description: Helio API (Devnet)
    url: https://api.dev.hel.io
security: []
tags:
  - name: Webhooks
  - name: Exports
  - name: Currencies
    description: >-
      Supported currencies endpoint, includes fiat and digital assets
      </br><i>Authentication: </i><b>None</b>
externalDocs:
  description: Helio product documentation
  url: https://docs.hel.io/
paths:
  /v1/withdrawal-configs/{withdrawalConfigId}/api-key:
    patch:
      tags:
        - Withdrawals
      summary: Update a Withdrawal Config
      description: >-
        Updates an existing withdrawal configuration. Requires an API key with
        the `WITHDRAWS_UPDATE` permission.
      operationId: WithdrawalConfigsController_updateWithdrawByIdWithApi
      parameters:
        - name: withdrawalConfigId
          in: path
          required: true
          description: The withdrawal config ID.
          schema:
            type: string
        - name: apiKey
          in: query
          required: true
          description: >-
            Your API key, which can be generated from the Helio Dashboard
            settings page.
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateWithdrawalConfigDto'
      responses:
        '200':
          description: Withdrawal config updated successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WithdrawalConfigEntity'
        '401':
          description: Provided API key has no access to the resource.
        '404':
          description: Withdrawal config not found.
      security:
        - bearer: []
components:
  schemas:
    UpdateWithdrawalConfigDto:
      type: object
      properties:
        name:
          type: string
          maxLength: 200
        currencyIds:
          type: array
          items:
            type: string
          minItems: 1
        disabled:
          type: boolean
        disabledBlockchainSymbols:
          type: array
          items:
            type: string
        enabledFeatures:
          type: array
          items:
            type: string
            enum:
              - iron
          description: Optional feature flags. `iron` enables Iron.xyz auto off-ramp.
    WithdrawalConfigEntity:
      type: object
      properties:
        id:
          type: string
          description: The withdrawal config ID (`withdrawalConfigId`).
        name:
          type: string
        platform:
          type: string
        disabled:
          type: boolean
        disabledBlockchainSymbols:
          type: array
          items:
            type: string
        enabledFeatures:
          type: array
          items:
            type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Authentication using JWT token

````